Skip to content

Rotate the signing secret for a webhook endpoint

POST
/v1/webhook-endpoints/{id}/rotate-secret
curl --request POST \
--url https://your-notavia-host/v1/webhook-endpoints/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rotate-secret \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

Updated endpoint with new signing secret prefix.

Media type application/json
object
id
string format: uuid
url
string
status
string
Allowed values: active paused auto_disabled
event_filters
Array<string>
description
string
nullable
timeout_seconds
integer
signing_secret_prefix

First 8 characters of the signing secret for recognition only — full secret shown only at creation/rotation.

string
created_at
string format: date-time
Example
{
"status": "active"
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Resource not found.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}